<?php

/**
 * Show ENVironment INFO result from Admin Menu
 *
 * @module          env_info 
 * @author          Wolfgang Studer
 * @copyright       2014 Wolfgang Studer
 * @link            http://www.LEPTON-cms.org
 * @license         BSD License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1 2014-11-17
 */ 

// include class.secure.php to protect this file and the whole CMS!
if (defined('WB_PATH')) {	
	include(WB_PATH.'/framework/class.secure.php'); 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) { 
		include($root.'/framework/class.secure.php'); 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php

/**
 *
 * AddOn: return PHP constants
 *
 */

// function return result array
function getPHPCONSTANT()
{
	// define the array
	$envinfoArray = Array();
	$envinfoArray = get_defined_constants(TRUE);
		
	// do not show password
	$envinfoArray['user']['DB_PASSWORD'] = "****************";
		
	// rename root = "user" to "CMS_Lepton"
	$envinfoArray['CMS Lepton'] = $envinfoArray['user'];
	$envinfoArray['user'] = "";

	// return the array
	return $envinfoArray;
}

// return the select option
	$infoItems["getPHPCONSTANT"] = "PHPCONSTANT";

// Add translation
	switch ( LANGUAGE):
	case "DE":
			$ENVINFOTEXT['PHPCONSTANT'] = "PHP Constants - Definierte Konstanten.";
			break;
	default:
			$ENVINFOTEXT['PHPCONSTANT'] = "PHP Constants - Defined Constants.";
	
	endswitch;

?>
