<?php

/**
 * Show ENVironment INFO result from Admin Menu
 *
 * @module          env_info 
 * @author          Wolfgang Studer
 * @copyright       2014 Wolfgang Studer
 * @link            http://www.LEPTON-cms.org
 * @license         BSD License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1 2014-11-17
 */

// include class.secure.php to protect this file and the whole CMS!
if (defined('WB_PATH')) {	
	include(WB_PATH.'/framework/class.secure.php'); 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) { 
		include($root.'/framework/class.secure.php'); 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php



//Modul Description
$module_description = "This module shows various environment informations.";

//Variables for the  backend
$ENVINFOTEXT['LABEL_INFO'] 			= "Info Type";
$ENVINFOTEXT['LABEL_OUT'] 			= "Output as";
$ENVINFOTEXT['LABEL_GOTO'] 			= "Jump to";
$ENVINFOTEXT['SUBMIT']				= "Get Info";
$ENVINFOTEXT['CANCEL']				= "Back to the Admin Tools";
$ENVINFOTEXT['GOTO_TOP'] 			= "Go top of page";

$ENVINFOTEXT['SELECT_INFO'] 		= "Please select ..";
$ENVINFOTEXT['SELECT_OUT'] 			= "Please select ..";
$ENVINFOTEXT['SELECT_GOTO'] 		= "Go To ...";

$ENVINFOTEXT['NODATA'] 				= "No Data found !";

?>