<?php

/**
 * Show ENVironment INFO result from Admin Menu
 *
 * @module          env_info 
 * @author          Wolfgang Studer
 * @copyright       2014 Wolfgang Studer
 * @link            http://www.LEPTON-cms.org
 * @license         BSD License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1 2014-11-17
 */ 

// include class.secure.php to protect this file and the whole CMS!
if (defined('WB_PATH')) {	
	include(WB_PATH.'/framework/class.secure.php'); 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) { 
		include($root.'/framework/class.secure.php'); 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php

/**
 *
 * AddOn: return PHP version
 *
 */

// function return result array
function getPHPVERSION()
{
	// define the array
	$envinfoArray = Array();
	
	// PHP fallfack for older versions
	if (!defined('PHP_VERSION_ID')):
		$version = explode('.', PHP_VERSION);
		define('PHP_VERSION_ID', ($version[0] * 10000 + $version[1] * 100 + $version[2]));
	endif;

	$envinfoArray['PHP Version'] = Array();
	$envinfoArray['PHP Version']['PHP VERSION'] = phpversion();
	$envinfoArray['PHP Version']['PHP VERSION ID'] = PHP_VERSION_ID;

	// return the array
	return $envinfoArray;
}

// return the select option
	$infoItems["getPHPVERSION"] = "PHPVERSION";
	
// Add translation
	switch ( LANGUAGE):
	case "DE":
			$ENVINFOTEXT['PHPVERSION'] = "PHP Version - Die aktuelle PHP Version.";
			break;
	default:
			$ENVINFOTEXT['PHPVERSION'] = "PHP Version - Show PHP version.";
	
	endswitch;

?>
