<?php

/**
 * Show ENVironment INFO result from Admin Menu
 *
 * @module          env_info 
 * @author          Wolfgang Studer
 * @copyright       2014 Wolfgang Studer
 * @link            http://www.LEPTON-cms.org
 * @license         BSD License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1 2014-11-17
 */ 

// include class.secure.php to protect this file and the whole CMS!
if (defined('WB_PATH')) {	
	include(WB_PATH.'/framework/class.secure.php'); 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) { 
		include($root.'/framework/class.secure.php'); 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php

/**
 *
 * AddOn: prepare output formatted array
 *
 */

// function return result array
function outPRINT_ARRAY()
{
	global $envinfoArray;
	
	// prepare output
	echo '<div class="scrolling">' . PHP_EOL;
	echo '<pre>' . PHP_EOL;
	print_r($envinfoArray);
	echo '</pre>' . PHP_EOL;
	echo '</div>' . PHP_EOL;
	
	// return
	return TRUE;
}

// return the select option
	$outItems["outPRINT_ARRAY"] = "PRINT_ARRAY";

// build GOTO list
	$gotoPrepare["outPRINT_ARRAY"] = FALSE;

// Add translation
	switch ( LANGUAGE):
	case "DE":
			$ENVINFOTEXT['PRINT_ARRAY'] = "PRINTED ARRAY - formatiertes Array.";
			break;
	default:
			$ENVINFOTEXT['PRINT_ARRAY'] = "PRINTED ARRAY - formatted Array.";
	
	endswitch;

?>
